Skip to content
Start here

List account Email Sending suppressions

email_sending.suppressions.list(SuppressionListParams**kwargs) -> SyncCursorPagination[SuppressionListResponse]
GET/accounts/{account_id}/email/sending/suppressions

Lists every active Email Sending suppression owned by the account, including legacy rows with internal zone memberships.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
account_id: str
cursor: Optional[str]

Opaque pagination cursor returned as result_info.next_cursor. It carries the filters that produced it.

maxLength2048
email: Optional[str]

Exact email-address filter.

formatemail
per_page: Optional[int]
maximum1000
minimum1
reason: Optional[Literal["manual", "complaint", "hard_bounce", 2 more]]
One of the following:
"manual"
"complaint"
"hard_bounce"
"soft_bounce"
"policy"
ReturnsExpand Collapse
class SuppressionListResponse:
id: str
formatuuid
created_at: datetime
formatdate-time
email: str
formatemail
expires_at: Optional[datetime]
formatdate-time
read_only: bool

Whether clients may mutate this suppression. This is determined by the server and must not be inferred from reason.

reason: str
note: Optional[str]

List account Email Sending suppressions

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
page = client.email_sending.suppressions.list(
    account_id="54442216",
)
page = page.result[0]
print(page.id)
{
  "errors": [
    {}
  ],
  "messages": [
    {}
  ],
  "result": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "created_at": "2019-12-27T18:11:19.117Z",
      "email": "user@example.com",
      "expires_at": "2019-12-27T18:11:19.117Z",
      "read_only": true,
      "reason": "hard_bounce",
      "note": "Imported from CRM"
    }
  ],
  "result_info": {
    "count": 1,
    "next_cursor": "eyJ0IjozLCJwIjoxMjMsImMiOiJjM2RjNWYwYjM0YTE0ZmY4ZTFiM2VjMDQ4OTVlMWIyMiJ9",
    "per_page": 100
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {}
  ],
  "messages": [
    {}
  ],
  "result": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "created_at": "2019-12-27T18:11:19.117Z",
      "email": "user@example.com",
      "expires_at": "2019-12-27T18:11:19.117Z",
      "read_only": true,
      "reason": "hard_bounce",
      "note": "Imported from CRM"
    }
  ],
  "result_info": {
    "count": 1,
    "next_cursor": "eyJ0IjozLCJwIjoxMjMsImMiOiJjM2RjNWYwYjM0YTE0ZmY4ZTFiM2VjMDQ4OTVlMWIyMiJ9",
    "per_page": 100
  },
  "success": true
}